<template>
  <div class="calculator-monitor">
    <div class="calculator-monitor__history" />

    <div class="calculator-monitor__current-operation">
      <span>{{ currentOperation }}</span>

      <span class="calculator-monitor__result">
        {{ result }}
      </span>
    </div>
  </div>
</template>

<script>
export default {
  name: 'CalculatorMonitor',
  props: {
    currentOperation: {
      type: String,
      required: true,
    },
    result: {
      type: String,
      required: true,
    },
  },
};
</script>

<style lang="scss">
.calculator-monitor {
  display: flex;
  flex: 1 1 50%;
  flex-direction: column;
  padding: 24px 20px;
  color: var(--result-color);
  background-color: var(--view-color);

  @media screen and (min-width: $calculatorWidth) {
    flex: 1 1 300px;
  }
}

.calculator-monitor__history {
  flex: 1 1 80%
}

.calculator-monitor__current-operation {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

.calculator-monitor__result {
  max-width: 100%;
  font-size: 2rem;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow-x: hidden;
}
</style>
